package org.springblade.modules.rhzf.fwInfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.rhzf.fwInfo.entity.HcbdEntity;
import org.springblade.modules.rhzf.fwInfo.excel.HcbdExcel;

import java.util.List;
import java.util.Map;

public interface HcbdMapper extends BaseMapper<HcbdEntity> {
    HcbdExcel selectRkByExcel(String sfzh, String deptId);

	List<HcbdExcel> exportHcbd(String deptId);

	void deletedHcbd(Long userId);

	IPage<HcbdEntity> selectHcbdPage(IPage<Object> page, @Param("params") Map<String, Object> params);
}
